# 3dgraph 

> Demo 
 

## Install

```bash
npm install --save 3dgraph
```
 
## Usage
```js 

import {ReactGraph, Node, generateRandomNodes} from '3dgraph'; 

let props = { 
    graphColor : 0x050505,
    edgesHighlightColor : 0xF54848,
    onSelectColor : 0xF54848,
    onHoverColor : 0xBBF548, 
    highlightEdges : true,
    labelsColor : 0x0ff003, 
    showLabels : true,  
    handleError : (err) => console.log(JSON.stringify(err)),
    onReady : () => {},  
    handleClick : (node : Node) => {},
    handleDoubleClick : (node : Node) => {},
    handleMouseOver : (node : Node) => {},   
    transformLayout : false, 
    layoutGenerator : undefined,
    className : '',
    nodes : generateRandomNodes(30, 500), 
    /*  
    interface Node{  
            id : NodeID,
            position:Vector3, 
            connections : Connection[],
            incomingConnections : Connection[],
            radius : number, 
            label : Label,   
        
            color? : number,
            nodeObject? : Mesh,
            dx? : number,  
            dy? : number,  
            dz? : number, 
            weight? : number,
            repulsiveForce? : number,
            attractiveForce? : number
    };   
    */
};      


ReactDOM.render(  
    <ReactGraph {...props} />,      
    document.getElementById('graph')
)    


 
``` 
## License

[MIT](http://vjpr.mit-license.org)

[npm-image]: https://img.shields.io/npm/v/live-xxx.svg
[npm-url]: https://npmjs.org/package/live-xxx
[travis-image]: https://img.shields.io/travis/live-js/live-xxx/master.svg
[travis-url]: https://travis-ci.org/live-js/live-xxx
[coveralls-image]: https://img.shields.io/coveralls/live-js/live-xxx/master.svg
[coveralls-url]: https://coveralls.io/r/live-js/live-xxx?branch=master
